%global seafilever 3.0.4

Name:           ccnet
Version:        1.4.2
Release:        1%{?dist}
Summary:        A framework for writing networked applications in C

# Section of lib/libccnet_utils.c and lib/utils.c
# lib/buffer.c is from libevent, so it has a BSD-3-clause license.
# net/common/getgateway.c is from libnatpmp, so it has a BSD-3-clause license
# net/common/list.h is a linux kernel header, so it has a GPL-2 license.
License:        GPLv3+ and GPLv2 and BSD
URL:            https://github.com/haiwen/ccnet
Source0:        %{url}/archive/v%{seafilever}-server/%{name}-%{version}.tar.gz
Patch0:         0001-Add-autoconfiguration-for-libjansson.patch

BuildRequires:  automake libtool
BuildRequires:  glib2-devel
BuildRequires:  python2-devel
BuildRequires:  sqlite-devel
BuildRequires:  libevent-devel
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
BuildRequires:  libsearpc-devel
BuildRequires:  jansson-devel
BuildRequires:  libzdb-devel
BuildRequires:  openldap-devel
BuildRequires:  vala

%description
A framework for writing networked applications in C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{seafilever}-server
sed -i -e "/\(DESTDIR\)/d" libccnet.pc.in
%patch0 -p1

%build
./autogen.sh
# https://github.com/haiwen/ccnet/issues/54
pushd lib
  python `which searpc-codegen.py` ./rpc_table.py
  valac -C --pkg posix ccnetobj.vala
popd
%configure --disable-static \
           --disable-compile-demo \
           --enable-server \
           --disable-client \
           --enable-ldap
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} \;

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENCE.txt README.markdown
%{_libdir}/*.so.*
%{_bindir}/%{name}*
%{python2_sitearch}/%{name}/

%files devel
%doc HACKING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Tue Jul 01 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.2-1
- Initial package. Based on Robin Lee work.

* Mon Jan 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial package
